<?php

namespace App\Http\Controllers\Accounts;

use App\Classes\Modules\Accounts\ControllersLogic\UpdateUserLogic;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class UpdateUserController
{
    /**
     * @param Request $request
     * @param UpdateUserLogic $logic
     * @return JsonResponse
     */
    public function update(Request $request, UpdateUserLogic $logic): JsonResponse {
        logger("update controller");
        logger($request);
        return $logic->execute($request);
    }
}